gnustep-addresses (0.5.0-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:12:18 +0100

gnustep-addresses (0.5.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/control (libaddresses0.5.0, libaddressview0.5.0): Conflict with
    the old library packages; upstream uses a non-standard versioning
    mechanism (Closes: #1099980).  Thanks Helmut Grohne.
    (libaddressview-dev): Tighten depends on libaddresses-dev.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
  * debian/rules (override_dh_fixperms): Rename as...
    (override_dh_fixperms-arch): ...to fix the arch:all build.
  * debian/patches/encoding.patch: Mark as forwarded upstream.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Mar 2025 08:36:01 +0200

gnustep-addresses (0.5.0-1) experimental; urgency=medium

  * Rename source package to match the other GNUstep libraries and the
    naming convention proposed to the FTP masters.
  * New upstream release:
    + SONAME change: libaddresses0 -> 0.5.0.
    + SONAME change: libaddressview0 -> 0.5.0.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/control (Build-Depends): Require libinspector-dev (>= 1.1).
    (addressmanager.app) <Depends>: Tighten depends on own libraries.
    (libaddrsses-dev) <Depends>: Amend for new library package.
    (libaddressview-dev) <Depends>: Likewise.
    (libaddresses0): Rename to libaddresses0.5.0.
    (libaddressview0): Rename to libaddressview0.5.0.
    (addresses-goodies-for-gnustep): Make it a dummy transitional package.
    (gnustep-addresses-goodies): New package.  Tighten depends on own libs.
  * debian/rules (execute_before_dh_link): Cope with the goodies change.
  * debian/libaddresses-dev.install: Update for the new version; use
    globs where possible.
  * debian/libaddressview-dev.install: Likewise.
  * debian/libaddresses0.instal: Rename as...
  * debian/libaddresses0.5.0.install: ...and update for the new version.
  * debian/libaddressview0.install: Rename as...
  * debian/libaddressview0.5.0.install: ...as above.
  * debian/addresses-goodies-for-gnustep.docs: Rename as...
  * debian/gnustep-addresses-goodies.docs: ...following package rename.
  * debian/addresses-goodies-for-gnustep.install: Rename as...
  * debian/gnustep-addresses-goodies.install: ...as above.
  * debian/addresses-goodies-for-gnustep.manpages: Rename as...
  * debian/gnustep-addresses-goodies.manpages: ...as above.
  * debian/patches/vcf-import.patch: Delete; fixed upstream.
  * debian/patches/link-libs.patch: Likewise.
  * debian/patches/fix-adserver-format.patch: Likewise.
  * debian/patches/header-guard.patch: Likewise.
  * debian/patches/duplicate-decls.patch: Likewise.
  * debian/patches/missing-import.patch: Likewise.
  * debian/patches/init-from-distinct-type.patch: Likewise.
  * debian/patches/int-conversion.patch: Likewise.
  * debian/patches/NSInteger-migration.patch: Likewise.
  * debian/patches/ADPersonView-check-superview.patch: Likewise.
  * debian/patches/encoding.patch: Update for the new release.
  * debian/copyright: Add GAP as copyright holder.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 15 Feb 2025 17:18:03 +0200

addresses-for-gnustep (0.4.8-7) unstable; urgency=medium

  * debian/control (Build-Depends): Require libinspector-dev (>= 1.0.0-5)
    for the multiarch layout.  Drop gnustep-make; implied.
    (libaddresses-dev, libaddresses0, libaddressview-dev)
    (libaddressview0): Mark as Multi-Arch: same.
  * debian/addressmanager.app.install: Update for multiarch.
  * debian/addresses-goodies-for-gnustep.install: Likewise.
  * debian/libaddresses-dev.install: Likewise.
  * debian/libaddresses-dev.maintscript: Likewise.
  * debian/libaddresses0.install: Likewise.
  * debian/libaddressview-dev.install: Likewise.
  * debian/libaddressview0.install: Likewise (Closes: #1094005).
  * debian/upstream/metadata: New file.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 04 Feb 2025 21:17:57 +0200

addresses-for-gnustep (0.4.8-6) unstable; urgency=medium

  * debian/patches/ADPersonView-check-superview.patch: New; fix GWorkspace
    exception on i386 caused by the VCFViewer inspector, thanks Paul
    Seelig for the bug report (Closes: #1087735).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 20 Nov 2024 10:24:37 +0200

addresses-for-gnustep (0.4.8-5) unstable; urgency=medium

  * debian/control (Build-Depends): Replace libgnustep-gui-dev with
    libinspector-dev.  Bump gnustep-make requirement to (>= 2.9.2-4) for
    dh_gnustep's --bundle option.
    (addresses-goodies-for-gnustep) <Enhances>: Set to gworkspace.app.
    <Description>: Add the VCFViewer GWorkspace inspector.
  * debian/rules (override_dh_auto_build): Don't define disable-vcfviewer.
    (override_dh_auto_install): Likewise.
    (execute_before_dh_link): Pass --bundle --bug-script for the
    addresses-goodies-for-gnustep package.
  * debian/addresses-goodies-for-gnustep.install: Install the inspector.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 26 Sep 2024 15:18:51 +0300

addresses-for-gnustep (0.4.8-4) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Yavor Doganov ]
  * Run wrap-and-sort -ast.
  * debian/gbp.conf: New file.
  * debian/control (Maintainer): Swap with Uploaders.
    (Uploaders): Add myself.
    (Build-Depends): Bump compat level to 13.  Bump gnustep-make
    requirement to (>= 2.9.2-2) for dh_gnustep's --app option.  Remove
    dh_exec.  Add dpkg-build-api (= 1).  Add imagemagick.
    (Standards-Version): Claim compliance with 4.7.0.
  * debian/addressmanager.app.install: Install everything in /usr/lib;
    dh_gnustep will take care to move stuff afterwards.  Install the PNG
    icon in /usr/share/pixmaps/GNUstep.
  * debian/libaddresses-dev.install: Install missing symlinks; don't move
    files around (it's dh_gnustep's job).
  * debian/libaddressview-dev.install: Likewise.
  * debian/libaddresses0.install: Don't move files.
  * debian/libaddressview0.install: Likewise.
  * debian/libaddresses-dev.links: Delete; now redundant.
  * debian/libaddressview-dev.links: Likewise.
  * debian/libaddresses0.links: Likewise.
  * debian/libaddressview0.links: Likewise.
  * debian/addressmanager.app.links: Likewise.
  * debian/libaddresses-dev.maintscript: New file; switch
    /usr/include/GNUstep/AddressBook to a directory -- it is supposed to
    contain only the compatibility header AddressBook.h.
  * debian/rules (execute_before_dh_link): New target; run dh_gnustep.
    (override_dh_auto_build): Use $(verbose) instead of hardcoded
    messages=yes to support "terse" in DEB_BUILD_OPTIONS.  Create a PNG
    icon; AppStream cannot handle TIFF and cannot follow symlinks.
    (override_dh_auto_install): Use dh_auto_install.
    (override_dh_fixperms): Don't chmod the .desktop file; it's being
    deleted by dh_gnustep.  Simplify recipe.
    (override_dh_auto_clean): Delete the PNG icon.
    (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed.
  * debian/addresses-for-goodies.install: Don't rename adtool; the adtool
    package has been removed from Debian and unlikely to return back.
  * debian/addresstool.1: Rename as...
  * debian/adtool.1: ...and remove paragraph about renaming.
  * debian/addresses-for-goodies.manpages: Install debian/adtool.1.
  * debian/patches/encoding.patch: New; convert some files to UTF-8 to fix
    lintian W: national-encoding.  Unfortunately this cannot be done
    programmatically as some of them are in unknown encoding so only Emacs
    is able to open them correctly.
  * debian/patches/header-guard.patch: New; add missing header guard.
  * debian/patches/duplicate-decls.patch: New; fix duplicate
    interface/protocol declarations.
  * debian/patches/missing-import.patch: New; add missing #import.
  * debian/patches/init-from-distinct-type.patch: New; fix "initialization
    from distinct Objective-C type" compiler warning.
  * debian/patches/int-conversion.patch: New; fix int-conversion compiler
    warning which is fatal with GCC 14 and -std=gnu17.
  * debian/patches/NSInteger-migration: New; fix a bunch of
    incompatible-pointer-types compiler warnings.
  * debian/patches/link-libs.patch: Mark as Forwarded: not-needed as UDD
    can't figure that it's an upstream patch.
  * debian/patches/fix-adserver-format.patch: Add DEP-3 headers.
  * debian/libaddresses0.lintian-overrides: Delete; lintian bug fixed.
  * debian/libaddressview0.lintian-overrides: Likewise.
  * debian/AddressManager.desktop: Adjust icon type and location.
  * debian/libaddresses0.docs: Delete; docs in the -dev are enough.
  * debian/libaddressview0.docs: Likewise.
  * debian/watch: Upgrade to version 4.
  * debian/copyright: Switch license to LGPL-2.1+, a move made upstream
    eons ago.  Add Upstream-Contact.  Use tarballs' location as Source.
    Update copyright years for Debian packaging.
  * debian/NEWS: New file; document the addresstool rename.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 09 Sep 2024 11:20:35 +0300

addresses-for-gnustep (0.4.8-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/link-libs.patch: New, link against all needed libraries
    (Closes: #889534, #889536).  Cherry-picked from upstream with one
    minor modification.
  * debian/patches/vcf-import.patch: New, fix exception when importing
    VCF files (LP: #461717).
  * debian/patches/series: Update.
  * debian/compat: Set to 11.
  * debian/changelog: Remove trailing whitespace.
  * debian/rules: Likewise.  Remove dh_make boilerplate comments, enable
    all hardening, define DEB_LDFLAGS_MAINT_APPEND to enforce symbol
    resolution at build time and strip unneded libraries.  Remove optim
    definition, rely on config.mk instead.
    (override_dh_auto_build): Replace $(MAKE) with dh_auto_build.
    (override_dh_makeshlibs): Remove as it is wrong.
  * debian/control (Build-Depends): Require gnustep-make >= 2.7.0-3 for
    the optim variable definition.  Bump debhelper requirement to >= 11.
    Remove obsolete libgnustep-gui-dev version requirement.
    (Depends): Drop obsolete dpkg dependency.
    (libaddressview-dev) <Depends>: Replace libgnustep-base-dev with
    libgnustep-gui-dev.  Add libaddresses-dev.
    (Conflicts, Replaces, Breaks): Remove, ancient.
    (addresses.framework, addressview.framework): Remove, utterly useless.
    (Uploaders): Remove Hubert as requested.
    (Vcs-Git, Vcs-Browser): New fields.
    (Standards-Version): Declare compliance with 4.1.3.
  * debian/libaddressview0.symbols:
  * debian/libaddresses0.symbols: Remove; harmful for Objective-C libs.
  * debian/libaddressview0.lintian-overrides:
  * debian/libaddresses0.lintian-overrides: New, override wrongly emitted
    package-has-unnecessary-activation-of-ldconfig-trigger.
  * debian/AddressManager.xpm:
  * debian/menu: Delete.
  * debian/adressmanager.app.install: Don't install the .xpm icon, install
    the .desktop file.
  * debian/addresses-for-gnustep-dev.dirs:
  * debian/addressview.framework.docs:
  * debian/addresses.framework.docs: Delete.
  * debian/addressmanager.app.maintscript: Delete, no longer needed.
  * debian/watch: Switch to HTTPS and Savannah's mirror multiplexer.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 06 Mar 2018 07:36:44 +0200

addresses-for-gnustep (0.4.8-2) unstable; urgency=medium

  * Fix danggling symlinks in libaddressview-dev and libaddresses-dev
    (Closes: # 805201)
  * Update debian/watch file.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Mon, 16 Nov 2015 13:46:38 +0100

addresses-for-gnustep (0.4.8-1) unstable; urgency=low

  * New upstream release (Closes: #512382)
  * Repackage from scratch:
    - Use source format 3.0 (quilt)
    - Drop CDBS support
    - Bump DH_COMPAT to 9
    - Bump Standards-Version to 3.9.6
    - Rewrite debian/copyright file
    - Add Homepage field in debian/control
    - Update to new menu structure (Closes: #496042)
    - Add Build-Dependency to dh-exec
    - Replace obsolete var ${Source-Version} by ${binary:Version}
      in debian/control file
    - Add ${misc:Depends} to all binaries packages dependencies
      in debian/control file as recommended by lintian
    - Remove duplicate section fields in debian/control file
    - As recommended by lintian, replace versionned Conflicts fields
      by Breaks fields in debian/control file
    - Update watch file
    - According to debian policy 9.1.1, move Resources dir in /usr/share:
      use dh_link and dpkg-maintscript-helper (and thus add dependency
      to dpkg >= 1.17.14) to create a symlink from old to new location.
    - Add libaddresses0.symbol and libaddressview0.symbol files in debian dir
    - Use debian build flags in debian/rules
    - Remove lintian override files (new packages are lintian free)
    - Pass -n to dh_makeshlibs in debian/rules to avoid lintian warning
    - Don't build VCFViewer (need gworkspace inspector lib wich is not present
      in debian sid) and LDAPAddressBook (need gsldap wich is not packaged
      in debian) in debian/rules file
  * Apply fix-adserver-format.patch to allow building package
    with "-Werror=format-security" Objective C compiler flag

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Tue, 03 Nov 2015 14:56:24 +0100

addresses-for-gnustep (0.4.7-3) unstable; urgency=medium

  * Update maintainer address (Closes: #768131)

 -- Eric Heintzmann <Heintzmann.Eric@free.fr>  Tue, 02 Jun 2015 03:54:42 +0200

addresses-for-gnustep (0.4.7-2) unstable; urgency=medium

  * Team upload.
  * Apply minimal fix to make the package usable with the current GNUstep
    libraries (Closes: #749721):
    - Fix overflow in implicit constant conversion;
    - Fix improper use of non-existent method;
    - Do not set string of a NSTextView to nil.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Oct 2014 11:25:10 +0200

addresses-for-gnustep (0.4.7-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Update download location in copyright file.

 -- Hubert Chathi <uhoreg@debian.org>  Thu,  4 Oct 2007 15:23:16 -0400

addresses-for-gnustep (0.4.6-9) experimental; urgency=low

  * Recompile with new GNUstep libraries.
    * Apply patch by Nicola Pero to work with new gnustep-make.

 -- Hubert Chan <uhoreg@debian.org>  Wed, 11 Jul 2007 20:38:21 -0400

addresses-for-gnustep (0.4.6-8) unstable; urgency=low

  * Rename adtool to addresstool to avoid conflict with adtool package.
    (closes: #403753)
  * Update debian/control to agree with overrides file for .framework packages.

 -- Hubert Chan <uhoreg@debian.org>  Tue, 19 Dec 2006 16:06:18 -0500

addresses-for-gnustep (0.4.6-7) unstable; urgency=low

  * Apply patch for improved compatibility with Apple's VCards. (closes:
    #385124)
  * Add GNUstep tool symlink for tools in address-goodies-for-gnustep, and
    write manpages.
  * Update my maintaner address.

 -- Hubert Chan <uhoreg@debian.org>  Thu, 16 Nov 2006 20:29:59 -0500

addresses-for-gnustep (0.4.6-6) unstable; urgency=low

  * Recompile with new GNUstep libraries.
  * Bump standards version to 3.7.2. (no changes)
  * Remove build-conflicts, which are not needed any more.
  * Fix license header in copyright file.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 30 Aug 2006 22:12:32 -0600

addresses-for-gnustep (0.4.6-5) unstable; urgency=low

  * Fix copyright file:
    - Update FSF address.
    - Properly label "copyright holders" and "license".
    - Fix download source.
  * Rebuild against new GNUstep libraries.
  * Bump standards version to 3.6.2.1.
  * Split frameworks into lib and -dev packages.
  * Start work on a common build script for GNUstep packages.
  * Remove hard-coded dependency on gnustep-base.  (closes: #358553)

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 29 Mar 2006 21:26:22 -0700

addresses-for-gnustep (0.4.6-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Bump build-dependencies from libgnustep-gui0.9-dev to
    libgnustep-gui0.10-dev.  Closes: #350438.
  * Bump build-conflicts to match.

 -- Steve Langasek <vorlon@debian.org>  Sat, 11 Feb 2006 03:57:50 -0800

addresses-for-gnustep (0.4.6-4) unstable; urgency=low

  * Don't build VCFViewer (closes: #305044).
  * Overrides inappropriate linda warnings.
  * debian/control:
    - Add new Co-Maintainers: Debian GNUstep maintainers.
    - Now addressmanager.app Recommends gnumail.app.
    - Remove gworkspace from Build-Depends field.
    - addressmanager.app Conflicts and Replaces addressmanager.
    - addressview.framework Conflicts and Replaces addressview-framework.
    - addresses-goodies-for-gnustep Conflicts and Replaces addresses-goodies.
    - addresses.framework Conflicts and Replaces addresses-framework.
      Closes: #301779.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sun, 24 Apr 2005 00:34:08 +0200

addresses-for-gnustep (0.4.6-3) unstable; urgency=low

  * debian/control:
    - addressmanager.app suggests gnumail.app not gnumail.
    - addresses.framework depends on libgnustep-base1.10 not libgnustep-base1.
  * debian/menu:
    - Correct package name.
    - icon is AddressManger.xpm not addressmanager.xpm.
  * Correct package names in dbian/*.overrides files.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sat, 11 Dec 2004 17:03:52 +0100

addresses-for-gnustep (0.4.6-2) unstable; urgency=low

  * Rename source package to addresses-for-gnustep.
  * Rename binary package:
    - addressmanager -> addressmanager.app (Closes:241616)
    - addresses-framework -> addresses.framework
    - addressview-framework -> addressview.framework (Closes:241622)
    - addresses-goodies -> addresses-goodies-for-gnustep (Closes:241623)

 -- Eric Heintzmann <eric@gnustep.fr.st>  Wed, 24 Nov 2004 23:57:07 +0100

addresses (0.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-dependencies.
  * Bump Standards-Version to 3.6.1.1.
  * Remove old wrapper script and add new wrapper link.
  * Now Build-Conflicts with debug versions of GNUstep:
     avoid frameworks to be linked against GNUstep debug libs.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sun,  8 Aug 2004 18:03:56 +0200

addresses (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on tar (>=1.93-1), gnustep-make (>= 1.9.0-2)
     and gnustep-base1-dev (>= 1.9.0-4).
  * Make sure additionnal GNUMakefile.preamble are really
    present in the debian .diff.gz file. Closes: #234676
  * Add debian/watch file.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Mon, 23 Feb 2004 20:54:26 +0100

addresses (0.4.4-3) unstable; urgency=low

  * Now build-depend on tar >= 1.13.92-4 (avoid Bug #230910)

 -- Eric Heintzmann <eric@gnustep.fr.st>  Fri, 13 Feb 2004 23:47:56 +0100

addresses (0.4.4-2) unstable; urgency=low

  * Add gworkspace in Build-Depends field.
  * Add xpm icon in menu.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Wed, 11 Feb 2004 16:52:45 +0100

addresses (0.4.4-1) unstable; urgency=low

  * Initial Release.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sun, 11 Jan 2004 16:58:54 +0100
